package com.ruoyi.project.business.enums;

import com.ruoyi.common.exception.ServiceErrorException;
import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
/**
 * 消息类型（1,2,3为大节点，子类型在1,2,3的后面追加数字）
 */
public enum MessageTypeEnum {
    // 线索
    LEAD("0"),
    // 项目
    PROJECT("1"),
    // 客户
    ACCOUNT("2"),
    // 项目未跟进
    PROJECT_UN_FOLLOW("11");

    private String value;

    public static MessageTypeEnum from(String value) {
        for (MessageTypeEnum nodeTypeEnum : values()) {
            if (nodeTypeEnum.getValue().equals(value)) {
                return nodeTypeEnum;
            }
        }
        throw new ServiceErrorException("非法节点类型状态");
    }
}
